Subject: Re: [PATCH v9 net-next 13/14] pds_core: publish events to the clients

From: Jakub Kicinski <[email-masked]>
Date: Thu, 13 Apr 2023 10:10:15 -0700

On Thu, 13 Apr 2023 20:07:04 +0300 Leon Romanovsky wrote:
> > Hm, my memory may be incorrect and I didn't look at the code but 
> > I thought that knob came from the "hit-less upgrade" effort.
> > And for "hit-less upgrade" not respawning the devices was the whole
> > point.
> > 
> > Which is not to disagree with you. What I'm trying to get at is that
> > there are different types of reset which deserve different treatment.  
> 
> I don't disagree with you either, just have a feeling that proposed
> behaviour is wrong.

Shannon, can you elaborate on what the impact of the reset is?
What loss of state and/or configuration is possible?